App\Library\Amazon\Classes\CharacterDataType:
    properties:
        schemaVersion:
            expose: true
            access_type: public_method
            serialized_name: schemaVersion
            accessor:
                getter: getSchemaVersion
                setter: setSchemaVersion
            xml_attribute: true
            type: string
        isOfferOnlyUpdate:
            expose: true
            access_type: public_method
            serialized_name: isOfferOnlyUpdate
            accessor:
                getter: getIsOfferOnlyUpdate
                setter: setIsOfferOnlyUpdate
            xml_attribute: true
            type: boolean
        sKU:
            expose: true
            access_type: public_method
            serialized_name: SKU
            accessor:
                getter: getSKU
                setter: setSKU
            type: App\Library\Amazon\Classes\SKU
        effectiveTimestamp:
            expose: true
            access_type: public_method
            serialized_name: EffectiveTimestamp
            accessor:
                getter: getEffectiveTimestamp
                setter: setEffectiveTimestamp
            type: GoetasWebservices\Xsd\XsdToPhp\XMLSchema\DateTime
        plugin:
            expose: true
            access_type: public_method
            serialized_name: Plugin
            accessor:
                getter: getPlugin
                setter: setPlugin
            xml_list:
                inline: true
                entry_name: Plugin
            type: array<string>
        additionalMessageDiscriminator:
            expose: true
            access_type: public_method
            serialized_name: AdditionalMessageDiscriminator
            accessor:
                getter: getAdditionalMessageDiscriminator
                setter: setAdditionalMessageDiscriminator
            type: string
        payload:
            expose: true
            access_type: public_method
            serialized_name: Payload
            accessor:
                getter: getPayload
                setter: setPayload
            type: string
